C**                                                                 ***
C**   compute the error indicator at the centre of the inner        ***
C**   elements:                                                     ***
C**                                                                 ***
      LUG=0
      DO 60 G=1,NGROUP
          CLASS=IVEM(MESH+GINFO+GINFO1*(G-1)+3)
          NE=IVEM(MESH+GINFO+GINFO1*(G-1))
          IF (CLASS.EQ.DIM) LUG=LUG+NE
60    CONTINUE
      UG=SPACE
      RBIG2=UG+LUG
      IBIG2=(RBIG2-1)*RPI+1
      LBIG2=LSPACE+SPACE-RBIG2

      IVEM(30)=LOUT
      IVEM(31)=CNTOUT*OUTFLG*0
      IVEM(33)=1

      CALL VEMU03(T,LUG,RBIG(UG),LU,EEST,LIVEM,IVEM,
     &            LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &            LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,IDPARM,LNODN,
     &            NODNUM,LNOD,NOD,LNOPRM,NOPARM,
     &            LBIG2,RBIG(RBIG2),IBIG(IBIG2),ERRORP)
      IF (IVEM(2).GT.0) GOTO 9999
